<template>
  <v-snackbar
    v-model="show"
    :color="type"
  >
    {{ text }}
    <v-btn
      text
      @click="setMessageText('')"
    >
      Закрыть
    </v-btn>
  </v-snackbar>
</template>

<script>
import { mapState, mapActions } from 'vuex';

export default {
  name: 'MessageBar',
  computed: {
    ...mapState({
      text: state => state.message.text,
      type: state => state.message.type,
    }),
    show: {
      get() {
        return Boolean(this.text);
      },
      set(value) {
        if (!value) this.setMessageText({});
      }
    }
  },
  methods: mapActions(['setMessageText'])
}
</script>